> ## Documentation Index
> Fetch the complete documentation index at: https://modulate.aurorapayments.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Daily Transactions

> Returns daily aggregated transaction totals for a merchant over a date range.



## OpenAPI

````yaml GET /api/partner/merchants/{merchant_id}/transactions/daily
openapi: 3.0.3
info:
  title: Partner API
  description: External API for ISO partners to access merchant data, pricing, and reports
  version: 0.1.0
servers: []
security: []
paths:
  /api/partner/merchants/{merchant_id}/transactions/daily:
    get:
      tags:
        - Transactions
        - Transactions
      summary: Get daily transaction summary
      description: >-
        Returns daily aggregated transaction totals for a merchant over a date
        range.
      operationId: >-
        get_daily_transactions_api_partner_merchants__merchant_id__transactions_daily_get
      parameters:
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 50
            description: Merchant ID
            title: Merchant Id
          description: Merchant ID
          example: '1234567890'
        - name: date_from
          in: query
          required: false
          schema:
            type: string
            format: date
            description: Start date (YYYY-MM-DD)
            title: Date From
            nullable: true
          description: Start date (YYYY-MM-DD)
          example: '2025-01-01'
        - name: date_to
          in: query
          required: false
          schema:
            type: string
            format: date
            description: End date (YYYY-MM-DD)
            title: Date To
            nullable: true
          description: End date (YYYY-MM-DD)
          example: '2025-01-31'
        - name: timezone
          in: query
          required: false
          schema:
            type: string
            maxLength: 50
            description: IANA timezone for date boundaries
            default: UTC
            title: Timezone
            nullable: true
          description: IANA timezone for date boundaries
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Missing or invalid API key
        '403':
          description: Merchant not in portfolio or insufficient scope
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
        '503':
          description: Transaction data source unavailable
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````